// 模板接口

import serviceAxios from "@/http/index";

// 获取模板列表
export const getTemplatesList = (params) => {
  return serviceAxios({
    url: "/vrone/backend/templates/list",
    method: "get",
    params,
  });
};

// 查询展厅模板详情
export const getTemplatesDetail = (params) => {
  return serviceAxios({
    url: `/vrone/backend/templates/${params}`,
    method: "get",
  });
};

// 查询用户已购买的模板列表
export const getTemplatesBuyList = (params) => {
  return serviceAxios({
    url: `/vrone/backend/templates/myTemplateList/${params}`,
    method: "get",
  });
};

// 查询展示的展厅模板列表
export const getTemplatesShowList = (data) => {
  return serviceAxios({
    url: `/vrone/backend/templates/showList`,
    method: "post",
    data,
  });
};
